OpenNMS API 1.2.9

## org.opennms.web.admin.views.parsers
Class ViewsWriter

    java.lang.Object
      org.opennms.web.parsers.XMLWriter
          org.opennms.web.admin.views.parsers.ViewsWriter

public class ViewsWriter
extends XMLWriter

Field Summary

Fields inherited from class org.opennms.web.parsers.XMLWriter
`DTD_EXTENSION, m_baseName, m_docBuilder, m_document, m_dtd, m_dtdPath, m_fileName, m_headerInfo, m_xmlPath, XML_EXTENSION`

Constructor Summary
`ViewsWriter(java.lang.String fileName)`

Method Summary
`protected void` `saveDocument(java.util.Collection views)` This method saves a list of views to the specified file

Methods inherited from class org.opennms.web.parsers.XMLWriter
`addCDataElement, addDataElement, addEmptyElement, backup, getDTD, getVersion, loadDTD, save, serializeToFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewsWriter

    public ViewsWriter(java.lang.String fileName)
                throws XMLWriteException

Method Detail

### saveDocument

    protected void saveDocument(java.util.Collection views)
                         throws XMLWriteException

  This method saves a list of views to the specified file

  Specified by:
    `saveDocument` in class `XMLWriter`
  Throws:
    `XMLWriteException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.